Subject: bug#40945: Rottlog service should create filenames with a '.gz' extension

From: Leo Famulari <[email-masked]>
Date: Tue, 28 Apr 2020 13:36:53 -0400

Currently, the rottlog service in %base-services creates old rotated
logs that are named like "messages.1", "messages.2", etc.

However, these files are compressed with gzip, and gzip refuses to
decompress them until you add '.gz' to the end of the filenames.

I think this should be happening by default but for some reason is
not. rottlog-configuration uses as the default configuration
(file-append rottlog "/etc/rc"), and that file does call for this
extension to be added...